/*
 * adw-gtk3 tweaks
 */

/* Don't bold buttons by default */
button {
	font-weight: normal;
}

/*
 * Panel CSS Rules
 */

.cSH-panel {
  padding-top: 2px;
  padding-bottom: 3px;
  transition-property: background;
  background: alpha(black, 0.7);
}

image, label {
  transition-property: color;
}

.cSH-panel separator {
  margin-top: 2px;
}

.cSH-panel separator:not(.dragging):not(.hidden) {
  background: alpha(white, 0.3);
}

.cSH-panel button:hover {
  background: alpha(white, 0.2);
}

.cSH-panel button:checked, .cSH-panel button:active {
  background: alpha(white, 0.25);
}

popover separator {
	background: alpha(white, 0.15);
}

.opaque .cSH-panel {
  background: black;
}

.shadow {
  min-height: 10px;
  background: linear-gradient(transparent, alpha(black, 0.05));
}

.shadow.inv {
  min-height: 8px;
  background: linear-gradient(alpha(black, 0.1), transparent);
}

.cSH-panel button {
	font-weight: bold;
}

/*
 * Greeter style tweaks
 */

.greeter:not(.opaque) .cSH-panel, .greeter:not(.opaque) .shadow {
  background: transparent;
}

.greeter button {
  color: white;
  background: alpha(black, 0.8);
}

/*
 * Control Center CSS Rules
 */

button.nopadding {
  padding: 0;
}

popover button:not(.flat):not(:hover):not(:active):not(:checked):not(.titlebutton) {
	background-color: alpha(white, 0.08);
}

button.cctoggle:checked {
  background: @theme_selected_bg_color;
  color: @theme_selected_fg_color;
}

button.cctoggle:checked:hover {
	background-color: shade(@theme_selected_bg_color, 1.1);
}

button.ccinfo {
  font-weight: bold;
}

/*
 * App List CSS Rules
 */

.cSH-open-indicator, .cSH-icon-box separator, .cSH-panel, image, label {
  transition-duration: 500ms;
  transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}


.cSH-icon-box button {
  margin-left: 2px;
  margin-right: 2px;
  min-width: 0px;
  transition-property: margin, padding;
  transition-duration: 200ms;
}

.cSH-icon-box .small button {
  margin-left: 0px;
  margin-right: 0px;
  padding-left: 0px;
  padding-right: 0px;
}

.cSH-icon-box separator {
  transition-property: background, min-width, margin;
  margin-left: 6px;
  margin-right: 6px;
}

.cSH-icon-box separator.hidden {
  margin: 0px;
  min-width: 0px;
  background: transparent;
}

.cSH-icon-box separator.dragging {
  background: transparent;
  min-width: 40px;
  margin: 0px;
}

.cSH-open-indicator {
  border-radius: 8px;
  transition-property: background, min-width, opacity;
  min-width: 10px;
  opacity: 1;
}

.cSH-open-indicator.active {
  background: @dark_2;
}

.cSH-open-indicator.focused {
  background: @light_1;
  min-width: 30px;
}

@keyframes alert-anim {
  from { }
  to { background: @yellow_3; }
}

.cSH-open-indicator.alert {
  animation-name: alert-anim;
  animation-duration: 600ms;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

/*
 * Cards CSS Rules
 */

.card {
  border-radius: 8px;
  background: #484848;
  color: white;
  box-shadow: 0 0 0 1px alpha(black, 0.03),
              0 1px 3px 1px alpha(black, 0.07),
              0 2px 6px 2px alpha(black, 0.03);
}

.card.padded {
  padding: 6px;
}

.card button:not(.flat) {
  background: alpha(white, 0.1);
}

.card button:hover {
  background: alpha(white, 0.15);
}

.card button:active {
  background: alpha(white, 0.2);
}

/*
 * Notification rules
 */

.dismiss-swipe {
	background: @red_5;
	padding: 12px;
	border-radius: 8px;
}
